{% extends 'base.html' %}

{% block app_content%}
    {% if current_user.partner_type == 'customer' %}
    <table class="table table-stripped table-hover">
        <thead class="thead-dark">
            <tr>
                <th>Complaint ID</th>
                <th>Category</th>
                <th>Vendor Name</th>
                <th>Vendor Phone</th>
                <th>Remarks</th>
                <th>Priority</th>
                <th>Date</th>
            </tr>
        </thead>
        {% for complaint in complaint_details_customer %}
        {% for user in user_details %}
        {% if user.category == complaint.category%}
        <tr>
            <td>{{ complaint.id }}</td>
            <td>{{ complaint.category }}</td>
            <td>{{ user.username }}</td>
            <td>{{ user.phone}}</td>
            <td>{{ complaint.remarks}}</td>
            <td>{{ complaint.priority }}</td>
            <td>{{ complaint.date}}</td>
        </tr>
        {% endif %}
        {% endfor %}
        {% endfor %}
    </table>
    {% endif%}

    {% if current_user.partner_type == 'vendor' %}
    <table class="table table-stripped table-hover">
        <thead class="thead-dark">
            <tr>
                <th>Complaint ID</th>
                <th>Category</th>
                <th>Customer Code</th>
                <th>Customer Name</th>
                <th>Customer Phone</th>
                <th>Remarks</th>
                <th>Priority</th>
                <th>Date</th>
            </tr>
        </thead>
        {% for complaint in complaint_details_vendor %}
        {% for user in user_details %}
        {% if user.id == complaint.user_id%}
        <tr>
            <td>{{ complaint.id }}</td>
            <td>{{ complaint.category }}</td>
            <td>{{ user.code}}</td>
            <td>{{ user.username }}</td>
            <td>{{ user.phone}}</td>
            <td>{{ complaint.remarks}}</td>
            <td>{{ complaint.priority }}</td>>
            <td>{{ complaint.date}}</td>
        </tr>
        {% endif %}
        {% endfor %}
        {% endfor %}
    </table>
    {% endif%}
    
    <button onclick="generateFile({{ current_user.id }})" id="generate-file" class="btn btn-lg btn-dark">Generate Complaint File</button>
    <a href="#" target="_blank" id="download-button" class="btn btn-lg btn-dark" download style="display:none">Download</a>
    <script>
        const generateFile = (id) =>{
    let host = window.location.host
    fetch(`http://${host}/generate_file/${id}`)
    .then(response => response.json())
    .then(result=>getDownloadModal(result['id']))
    }
    const getDownloadModal = (task_id) => {
        fetch(`http://localhost:5000/get_file/${task_id}`)
        .then(res=>res.json())
        .then(result=>{
            download_url = result['url']
            let downloadButton = document.querySelector('#download-button')
            let generateButton = document.querySelector('#generate-file')
            generateButton.parentNode.removeChild(generateButton)
            downloadButton.setAttribute('href', download_url)
            downloadButton.style.display = "inline"
        })
    }
    </script>
{% endblock%}

{% block footer%}
    <footer class="page-footer font-small bg-dark pt-3 fixed-bottom">
        <div class="footer-copyright text-center py-3 text-light" >© 2017 Copyright Bharat Petroleum Corporation Limited. All Rights Reserved
    </footer>
{% endblock%}